xine-lib: properties_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
properties_t Struct Reference

## Data Fields
uint8_t * | properties_atom
uint8_t * | decoder_config
unsigned int | media_id
unsigned int | codec_fourcc
unsigned int | codec_buftype
unsigned int | properties_atom_size
unsigned int | decoder_config_len
int | object_type_id
char | codec_str [20]
union { |
struct { |
unsigned int width |
unsigned int height |
int depth |
int edit_list_compensation |
int palette_count |
palette_entry_t palette [256] |
} video |
struct { |
xine_waveformatex * wave |
unsigned int wave_size |
unsigned int sample_rate |
unsigned int channels |
unsigned int bits |
unsigned int vbr |
unsigned int samples_per_packet |
unsigned int bytes_per_packet |
unsigned int bytes_per_frame |
unsigned int bytes_per_sample |
unsigned int samples_per_frame |
} audio |
} | s |

## Field Documentation

## ◆ [struct]

struct { ... } properties_t::audio

Referenced by build_frame_table(), demux_qt_send_chunk(), demux_qt_send_headers(), parse_moov_atom(), and parse_trak_atom().

## ◆ bits

unsigned int properties_t::bits

Referenced by demux_qt_send_chunk(), demux_qt_send_headers(), parse_moov_atom(), and parse_trak_atom().

## ◆ bytes_per_frame

unsigned int properties_t::bytes_per_frame

Referenced by build_frame_table(), demux_qt_send_headers(), and parse_trak_atom().

## ◆ bytes_per_packet

unsigned int properties_t::bytes_per_packet

Referenced by parse_trak_atom().

## ◆ bytes_per_sample

unsigned int properties_t::bytes_per_sample

Referenced by parse_trak_atom().

## ◆ channels

unsigned int properties_t::channels

Referenced by build_frame_table(), demux_qt_send_headers(), parse_moov_atom(), and parse_trak_atom().

## ◆ codec_buftype

unsigned int properties_t::codec_buftype

Referenced by demux_qt_send_chunk(), demux_qt_send_headers(), and parse_trak_atom().

## ◆ codec_fourcc

unsigned int properties_t::codec_fourcc

Referenced by demux_qt_send_chunk(), demux_qt_send_headers(), and parse_trak_atom().

## ◆ codec_str

char properties_t::codec_str[20]

Referenced by parse_moov_atom(), and parse_trak_atom().

## ◆ decoder_config

uint8_t* properties_t::decoder_config

Referenced by demux_qt_send_headers(), and parse_trak_atom().

## ◆ decoder_config_len

unsigned int properties_t::decoder_config_len

Referenced by demux_qt_send_headers(), and parse_trak_atom().

## ◆ depth

int properties_t::depth

Referenced by demux_qt_send_headers(), and parse_trak_atom().

## ◆ edit_list_compensation

int properties_t::edit_list_compensation

Referenced by demux_qt_send_chunk().

## ◆ height

unsigned int properties_t::height

Referenced by demux_qt_send_headers(), parse_moov_atom(), and parse_trak_atom().

## ◆ media_id

unsigned int properties_t::media_id

Referenced by demux_qt_send_chunk(), and parse_trak_atom().

## ◆ object_type_id

int properties_t::object_type_id

Referenced by parse_trak_atom().

## ◆ palette

palette_entry_t properties_t::palette[256]

Referenced by demux_qt_send_headers(), and parse_trak_atom().

## ◆ palette_count

int properties_t::palette_count

Referenced by demux_qt_send_headers(), and parse_trak_atom().

## ◆ properties_atom

uint8_t* properties_t::properties_atom

Referenced by demux_qt_send_headers(), and parse_trak_atom().

## ◆ properties_atom_size

unsigned int properties_t::properties_atom_size

Referenced by demux_qt_send_headers(), and parse_trak_atom().

## ◆ [union]

union { ... } properties_t::s

Referenced by build_frame_table(), demux_qt_send_chunk(), demux_qt_send_headers(), parse_moov_atom(), and parse_trak_atom().

## ◆ sample_rate

unsigned int properties_t::sample_rate

Referenced by demux_qt_send_headers(), parse_moov_atom(), and parse_trak_atom().

## ◆ samples_per_frame

unsigned int properties_t::samples_per_frame

Referenced by build_frame_table(), demux_qt_send_headers(), and parse_trak_atom().

## ◆ samples_per_packet

unsigned int properties_t::samples_per_packet

Referenced by parse_trak_atom().

## ◆ vbr

unsigned int properties_t::vbr

Referenced by build_frame_table(), demux_qt_send_headers(), and parse_trak_atom().

## ◆ [struct]

struct { ... } properties_t::video

Referenced by demux_qt_send_chunk(), demux_qt_send_headers(), parse_moov_atom(), and parse_trak_atom().

## ◆ wave

xine_waveformatex* properties_t::wave

Referenced by demux_qt_send_headers(), and parse_trak_atom().

## ◆ wave_size

unsigned int properties_t::wave_size

Referenced by demux_qt_send_headers(), and parse_trak_atom().

## ◆ width

unsigned int properties_t::width

Referenced by demux_qt_send_headers(), parse_moov_atom(), and parse_trak_atom().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/demuxers/demux_qt.c